GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
gridfire::Network Class Referenceabstract

`#include <network.h>`

Inheritance diagram for gridfire::Network:

## Public Member Functions
| Network (const NetworkFormat format=NetworkFormat::APPROX8)
virtual | ~Network ()=default
NetworkFormat | getFormat () const
NetworkFormat | setFormat (const NetworkFormat format)
virtual NetOut | evaluate (const NetIn &netIn)=0
| Evaluate the network based on the input parameters.
virtual bool | isStiff () const
virtual void | setStiff (const bool stiff)

## Protected Attributes
fourdst::config::Config & | m_config
| Configuration instance.
fourdst::logging::LogManager & | m_logManager
| Log manager instance.
quill::Logger * | m_logger
| Logger instance.
NetworkFormat | m_format
| Format of the network.
fourdst::constant::Constants & | m_constants
bool | m_stiff = false
| Flag indicating if the network is stiff.

## Detailed Description

Definition at line 76 of file network.h.

## Constructor & Destructor Documentation

## ◆ Network()

gridfire::Network::Network | ( | const NetworkFormat | format = NetworkFormat::APPROX8 | ) |
| explicit

Definition at line 41 of file network.cpp.

## ◆ ~Network()

virtual gridfire::Network::~Network | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ evaluate()

virtual NetOut gridfire::Network::evaluate | ( | const NetIn & | netIn | ) |
| pure virtual

Evaluate the network based on the input parameters.

Parameters

  netIn | Input parameters for the network evaluation.

Returns
  NetOut Output results from the network evaluation.

Implemented in gridfire::approx8::Approx8Network.

## ◆ getFormat()

NetworkFormat gridfire::Network::getFormat | ( |  | ) | const
| nodiscard

Definition at line 54 of file network.cpp.

## ◆ isStiff()

virtual bool gridfire::Network::isStiff | ( |  | ) | const
| inline virtual

Reimplemented in gridfire::approx8::Approx8Network.

Definition at line 92 of file network.h.

## ◆ setFormat()

NetworkFormat gridfire::Network::setFormat | ( | const NetworkFormat | format | ) |

Definition at line 58 of file network.cpp.

## ◆ setStiff()

virtual void gridfire::Network::setStiff | ( | const bool | stiff | ) |
| inline virtual

Reimplemented in gridfire::approx8::Approx8Network.

Definition at line 93 of file network.h.

## Member Data Documentation

## ◆ m_config

fourdst::config::Config& gridfire::Network::m_config
| protected

Configuration instance.

Definition at line 96 of file network.h.

## ◆ m_constants

fourdst::constant::Constants& gridfire::Network::m_constants
| protected

Definition at line 101 of file network.h.

## ◆ m_format

NetworkFormat gridfire::Network::m_format
| protected

Format of the network.

Definition at line 100 of file network.h.

## ◆ m_logger

quill::Logger* gridfire::Network::m_logger
| protected

Logger instance.

Definition at line 98 of file network.h.

## ◆ m_logManager

fourdst::logging::LogManager& gridfire::Network::m_logManager
| protected

Log manager instance.

Definition at line 97 of file network.h.

## ◆ m_stiff

bool gridfire::Network::m_stiff = false
| protected

Flag indicating if the network is stiff.

Definition at line 103 of file network.h.

The documentation for this class was generated from the following files:

- src/include/gridfire/network.h
- src/lib/network.cpp